# Get a Booking

## cURL

```bash
curl --request GET \
  --url https://api.cal.com/v2/bookings/{bookingUid} \
  --header 'cal-api-version: 2026-02-25'
```

## Response

### Status

```
{
  "status": "success",
  "data": {
    "id": 123,
    "uid": "booking_uid_123",
    "title": "Consultation",
    "description": "Learn how to integrate scheduling into marketplace.",
    "hosts": [
      {
        "id": 1,
        "name": "Jane Doe",
        "email": "jane100@example.com",
        "displayEmail": "jane100@example.com",
        "username": "jane100",
        "timeZone": "America/Los_Angeles"
      }
    ],
    "status": "accepted",
    "start": "2024-08-13T15:30:00Z",
    "end": "2024-08-13T16:30:00Z",
    "duration": 60,
    "eventTypeId": 50,
    "eventType": {
      "id": 1,
      "slug": "some-event"
    },
    "location": "https://example.com/meeting",
    "absentHost": true,
    "createdAt": "2024-08-13T15:30:00Z",
    "updatedAt": "2024-08-13T15:30:00Z",
    "attendees": [
      {
        "name": "John Doe",
        "email": "john@example.com",
        "displayEmail": "john@example.com",
        "timeZone": "America/New_York",
        "absent": false,
        "language": "en",
        "phoneNumber": "+1234567890"
      }
    ],
    "bookingFieldsResponses": {
      "customField": "customValue"
    },
    "cancellationReason": "User requested cancellation",
    "cancelledByEmail": "canceller@example.com",
    "reschedulingReason": "User rescheduled the event",
    "rescheduledByEmail": "rescheduler@example.com",
    "rescheduledFromUid": "previous_uid_123",
    "rescheduledToUid": "new_uid_456",
    "meetingUrl": "https://example.com/recurring-meeting",
    "metadata": {
      "key": "value"
    },
    "rating": 4,
    "icsUid": "ics_uid_123",
    "guests": [
      "guest1@example.com",
      "guest2@example.com"
    ]
  }
}
```

## Headers

- **cal-api-version**: string (default: 2026-02-25, required)
  - Must be set to 2026-02-25.
  
- **Authorization**: string 
  - Value must be `Bearer <token>` where `<token>` is an API key prefixed with `cal_`, managed user access token, or OAuth access token.

- **x-cal-secret-key**: string 
  - For platform customers - OAuth client secret key.

- **x-cal-client-id**: string 
  - For platform customers - OAuth client ID.

## Path Parameters

- **bookingUid**: string (required)

## Response

### 200 - application/json

- **status**: enum<string> (required)
  - Available options: `success`, `error`

- **data**: object (required)
  - Booking data, which can be either a BookingOutput object, a RecurringBookingOutput object, or an array of RecurringBookingOutput objects.
